Bug 122645 - security/sguil-client, port upgrade, new version
security/sguil-client, port upgrade, new version
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Marcelo Araujo
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 04:40 UTC by pauls
Modified: 2008-05-03 14:30 UTC (History)
0 users

See Also:


Attachments
patch-distinfo (546 bytes, text/plain)
2008-04-11 04:40 UTC, pauls
no flags Details
patch-files-patch-sguil.tk (1.87 KB, text/plain)
2008-04-11 04:40 UTC, pauls
no flags Details
file.diff (2.16 KB, patch)
2008-04-11 04:40 UTC, pauls
no flags Details | Diff
patch-sguil-client (7.59 KB, application/octet-stream)
2008-04-28 06:43 UTC, pauls
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pauls 2008-04-11 04:40:01 UTC
	security/sguil-client, port upgrade to the new version - 0.7.0
	Committer: Please note - there are three sguil ports; server,
	sensor and client.  All three must be committed at the same time.
	In addition, a repocopy of security/barnyard-sguil6 to
	security/barnyard-sguil must be committed for the client port to
	work correctly.  Please ensure that all four changes are committed
	at the same time.

Fix: begin 644 patch-Makefile
M+2TM($UA:V5F:6QE+F]R:6<),C`P-RTP-2TQ.2`Q-3HR,CHU,BXP,#`P,#`P
M,#`@+3`U,#`**RLK($UA:V5F:6QE"3(P,#@M,#0M,3`@,C$Z,#<Z,C(N,#`P
M,#`P,#`P("TP-3`P"D!`("TV+#@@*S8L-R!`0`H@(PH@"B!03U)43D%-13T)
M<V=U:6PM8VQI96YT"BU03U)45D524TE/3CT),"XV+C$*+5!/4E12159)4TE/
M3CT),PHK4$]25%9%4E-)3TX]"3`N-RXP"B!#051%1T]22453/0ES96-U<FET
M>0H@34%35$527U-)5$53/0DD>TU!4U1%4E]3251%7U-/55)#149/4D=%?0H@
M34%35$527U-)5$5?4U5"1$E2/0ES9W5I;`I`0"`M,34L,3,@*S$T+#$S($!`
M"B!-04E.5$%)3D52/0EP875L<T!U=&1A;&QA<RYE9'4*($-/34U%3E0]"5-G
M=6EL(&ES(&$@;F5T=V]R:R!S96-U<FET>2!M;VYI=&]R:6YG('!R;V=R86T*
M(`HK3$E"7T1%4$5.1%,]"71L<SHD>U!/4E131$E2?2]D979E;"]T8VQT;',*
M(%)53E]$15!%3D13/0ED='!L:71E.B1[4$]25%-$25)]+V1E=F5L+W1C;&QI
M8B!<"BT)"6=P9W8Z)'M03U)44T1)4GTO<V5C=7)I='DO9VYU<&<Q(%P**PD)
M9W!G,CHD>U!/4E131$E2?2]S96-U<FET>2]G;G5P9R!<"B`)"21[3$]#04Q"
M05-%?2]L:6(O=&-L>#@N-"]T8VQX+G1C;#HD>U!/4E131$E2?2]L86YG+W1C
M;%@@7`H@"0DD>TQ/0T%,0D%317TO;&EB+VEW:61G971S+VEW:61G971S+G1C
M;#HD>U!/4E131$E2?2]X,3$M=&]O;&MI=',O:7=I9&=E=',*(`HM3U!424].
M4ST)5$Q3("));F-L=61E(&]P96YS<VP@<W5P<&]R="(@;V9F(%P*+0D)5TE2
M15-(05)+("));G-T86QL('=I<F5S:&%R:R(@;V9F(%P**T]05$E/3E,]"5=)
M4D532$%22R`B26YS=&%L;"!W:7)E<VAA<FLB(&]F9B!<"B`)"4%51$E/("))
M;G-T86QL($9E<W1I=F%L(%-P965C:"!3>6YT:&5S:7,B(&]F9@H@"B!.3U]"
M54E,1#T)6453"D!`("TS.2PW("LS."PX($!`"B`)"4]014Y34TPN4D5!1$U%
M(%1/1$\@55!'4D%$12!54T%'12!S9W5I;&1B+F1I80H@"B!,24)&24Q%4ST)
M4V=U:6Q5=&EL+G1C;"!D:V9F;VYT+G1C;"!E;6%I;#$W+G1C;"!E>'1D871A
M+G1C;"!G=6EL:6(N=&-L(&YE<W-U<VAE861E<BYH=&UL(%P*+0D)<7)Y8G5I
M;&0N=&-L('%R>6QI8BYT8VP@<F5P;W)T+G1C;"!S86YC<"YT8VP@<V5L;&EB
M+G1C;"!S;W5N9"YT8VP@<W1D<75E<GDN=&-L('=H;VES+G1C;`HK"0EQ<GEB
M=6EL9"YT8VP@<7)Y;&EB+G1C;"!R97!O<G0N=&-L('-A;F-P+G1C;"!S96QL
M:6(N=&-L('-O=6YD+G1C;"!S=&1Q=65R>2YT8VP@7`HK"0EW:&]I<RYT8VP*
M(`H@24U!1T53/0D)1&%R:TQI;F5$;W=N,3!X.2YX8FT@1&%R:TQI;F5$;W=N
M,3)X,3$N>&)M($1A<FM,:6YE1&]W;CAX-RYX8FT@1&%R:TQI;F55<#$P>#DN
M>&)M(%P*(`D)1&%R:TQI;F55<#$R>#$Q+GAB;2!$87)K3&EN955P.'@W+GAB
M;2!,:6=H=$QI;F5$;W=N,3!X.2YX8FT@3&EG:'1,:6YE1&]W;C$R>#$Q+GAB
M;2!<"D!`("TU-2PQ,"`K-34L-B!`0`H@"B`N:6YC;'5D92`\8G-D+G!O<G0N
M<')E+FUK/@H@"BTN:68@9&5F:6YE9"A7251(7U1,4RD*+4Q)0E]$15!%3D13
M*ST)=&QS.B1[4$]25%-$25)]+V1E=F5L+W1C;'1L<PHM+F5N9&EF"BT*("YI
M9B!D969I;F5D*%=)5$A?5TE215-(05)+*0H@4E5.7T1%4$5.1%,K/0EW:7)E
H<VAA<FLZ)'M03U)44T1)4GTO;F5T+W=I<F5S:&%R:PH@+F5N9&EF"@``
`
end

--- pkg-descr.orig	2006-11-15 15:33:51.000000000 -0600
+++ pkg-descr	2008-04-10 21:07:22.000000000 -0500
@@ -4,13 +4,13 @@
 (www.tcl.tk). Sguil also relies on other open source software
 in order to function properly.
 
-The client requires gpg, iwidgets and other tcl packages and may
-also use wireshark, festival and tls depending on your selection
+The client requires tls, gpg, iwidgets and other tcl packages and may
+also use wireshark and festival depending on your selection
 of options.  Run "make config" in the port to see what options
 are available.
 
-Sguil currently functions as an analysis interface and has
-no snort sensor or rule management capabilities.
+Sguil currently functions as an analysis interface and does not yet
+have rule management capabilities.
 
 WWW: http://sguil.sourceforge.net/index.php
 pauls@utdallas.edu
--- patch-pkg-descr ends here ---
Comment 1 Marcelo Araujo freebsd_committer 2008-04-11 12:51:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 Marcelo Araujo freebsd_committer 2008-04-27 16:36:59 UTC
State Changed
From-To: open->feedback

This patch is malformed impossible to apply this.  You should re-work 
this patch and send again.  If you have some doubts how make this, 
please see this URL. 
http://sce-tindy.tecnik93.com/FreeBSD/How-to-submit-a-diff.txt
Comment 3 araujobsdport 2008-04-28 02:30:27 UTC
Paul Schmehl wrote:
> I'm confused.  I sent you a number of patches.  Are you saying that I
> should submit one patch for the entire port?  That one of the patches
> I submitted is bad?  They're all bad?
>

Hi dear Paul,
You sent the update in separated files for us is very hard to apply this
type of patch, I need that you unify the files in a single patch, you
can see how make it at:
http://sce-tindy.tecnik93.com/FreeBSD/How-to-submit-a-diff.txt
Follow the steps included in this howto.
If you have some doubts how makes it please tell me.

Kind Regards,

-- 
Marcelo Araujo            (__)
araujo@FreeBSD.org     \\\'',)
http://www.FreeBSD.org   \/  \ ^
Power To Server.         .\. /_)

Comment 4 pauls 2008-04-28 06:43:40 UTC
--On April 27, 2008 3:37:11 PM +0000 araujo@FreeBSD.org wrote:

> Synopsis: security/sguil-client, port upgrade, new version
>
> State-Changed-From-To: open->feedback
> State-Changed-By: araujo
> State-Changed-When: Sun Apr 27 15:36:59 UTC 2008
> State-Changed-Why:
> This patch is malformed impossible to apply this.  You should re-work
> this patch and send again.  If you have some doubts how make this,
> please see this URL.
> http://sce-tindy.tecnik93.com/FreeBSD/How-to-submit-a-diff.txt
>
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=122645

A single patch for the entire port is attached.

Paul Schmehl (pauls@utdallas.edu)
Senior Information Security Analyst
The University of Texas at Dallas
http://www.utdallas.edu/ir/security/
Comment 5 dfilter freebsd_committer 2008-05-03 14:22:20 UTC
araujo      2008-05-03 13:22:16 UTC

  FreeBSD ports repository

  Modified files:
    security/sguil-client Makefile distinfo pkg-descr 
    security/sguil-client/files patch-sguil.conf patch-sguil.tk 
    security/sguil-server Makefile distinfo pkg-plist 
    security/sguil-server/files patch-sguild patch-sguild.access 
                                patch-sguild.conf pkg-message.in 
                                sguild.sh.in 
    security/sguil-sensor Makefile distinfo pkg-descr pkg-plist 
    security/sguil-sensor/files log_packets.conf 
                                patch-log_packets.sh 
                                pkg-message.in 
  Log:
  - Update to 0.7.0.
  
  PR:             ports/122645, ports/122646, ports/122647
  Submitted by:   Paul Schmehl <pauls@utdallas.edu> (maintainer)
  
  Revision  Changes    Path
  1.5       +7 -11     ports/security/sguil-client/Makefile
  1.2       +3 -3      ports/security/sguil-client/distinfo
  1.2       +18 -13    ports/security/sguil-client/files/patch-sguil.conf
  1.2       +25 -8     ports/security/sguil-client/files/patch-sguil.tk
  1.2       +4 -4      ports/security/sguil-client/pkg-descr
  1.5       +49 -16    ports/security/sguil-sensor/Makefile
  1.2       +3 -3      ports/security/sguil-sensor/distinfo
  1.2       +5 -0      ports/security/sguil-sensor/files/log_packets.conf
  1.2       +7 -6      ports/security/sguil-sensor/files/patch-log_packets.sh
  1.2       +4 -4      ports/security/sguil-sensor/files/pkg-message.in
  1.2       +6 -5      ports/security/sguil-sensor/pkg-descr
  1.2       +12 -3     ports/security/sguil-sensor/pkg-plist
  1.5       +31 -16    ports/security/sguil-server/Makefile
  1.2       +3 -3      ports/security/sguil-server/distinfo
  1.2       +16 -16    ports/security/sguil-server/files/patch-sguild
  1.2       +3 -3      ports/security/sguil-server/files/patch-sguild.access
  1.2       +28 -41    ports/security/sguil-server/files/patch-sguild.conf
  1.2       +16 -2     ports/security/sguil-server/files/pkg-message.in
  1.4       +5 -4      ports/security/sguil-server/files/sguild.sh.in
  1.2       +8 -2      ports/security/sguil-server/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Marcelo Araujo freebsd_committer 2008-05-03 14:23:10 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!